Skip to main content
POST
/
api
/
v1
/
workspaces
Create Workspace
curl --request POST \
  --url https://api.example.com/api/v1/workspaces \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "slug": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "plan": "<string>",
  "slug": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Headers

X-Workspace-Id
string | null

Cookies

riftmap_access
string | null

Body

application/json
name
string
required
slug
string | null

Response

Successful Response

Response schema for a workspace.

created_at
string<date-time>
required
id
string<uuid>
required
name
string
required
plan
string
required
slug
string
required
updated_at
string<date-time>
required